Subject: Re: announcing: UW IMAP toolkit version 4.7

From: Mark Crispin <[email-masked]>
Date: Wed, 17 Nov 1999 15:30:00 -0800 (PST)

On Wed, 17 Nov 1999 15:18:40 -0800, George Lindholm wrote:
> Are there any plans to make imap/pine use the GNU autoconf rather
> than the multitude of makefile/include files current used?

Given the *ENORMOUS* problems that I have had building software that uses GNU
autoconf, it's extremely unlikely.  autoconf can be very nice when it works,
but when it doesn't work, it is an absolute nightmare.  Unfortunately,
autoconf bases its decisions upon tests which are less definitive than its
authors think they are.

Last but not least, c-client knows much more about various UNIX variants
(including some obscure ones) than autoconf does now (or likely ever will).
So, at this point, autoconf is (at best) cosmetic and has some serious perils.